Redirects
Test oauth code received
POST/api/external_login/redirect_test/{provider}
Path parameters
providerrequiredstring |
Request body application/json
dataFormLoginUser3Show fields (3)
codestringCode of the login form user.
typestringType of the login form user.
client_idstringIdentifier of the client the login form belongs to.
Responses
200Test oauth code receivedSuccess
Show fields (3)
successbooleanmessagestringerror_codesarray<integer>
Request
curl --request POST \
--url https://your-instance.iw-erp.de/api/external_login/redirect_test/42 \
--header 'content-type: application/json' \
--data '
{
"data": {
"code": "string",
"type": "string",
"client_id": "42"
}
}
'const options = {
method: 'POST',
headers: {'content-type': 'application/json'},
body: JSON.stringify({data: {code: 'string', type: 'string', client_id: '42'}})
};
fetch('https://your-instance.iw-erp.de/api/external_login/redirect_test/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/external_login/redirect_test/42"
payload = { "data": {
"code": "string",
"type": "string",
"client_id": "42"
} }
headers = {"content-type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/external_login/redirect_test/42', [
'body' => '{"data":{"code":"string","type":"string","client_id":"42"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/external_login/redirect_test/42"),
Content = new StringContent("{\"data\":{\"code\":\"string\",\"type\":\"string\",\"client_id\":\"42\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"code\":\"string\",\"type\":\"string\",\"client_id\":\"42\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/external_login/redirect_test/42")
.post(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/external_login/redirect_test/42"
payload := strings.NewReader("{\"data\":{\"code\":\"string\",\"type\":\"string\",\"client_id\":\"42\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/social_login_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await SocialLoginController.testReplacementToken('42', '…');
if (result.success) {
print(result.data);
}Response 200 application/json
{
"success": true,
"message": "string",
"error_codes": [
1
]
}